Subject: Re: Atlas address

From: [email-masked] (Scot Heath)
Date: Wed, 23 Dec 1992 20:40:34 GMT

If your Atlas mill was made by Clausing, as my Atlas lathe was, you can
contact their Service Center in Goshen, IN by calling (219)-533-0371.  I
found them to be excellent in their response to my needs.  They sent me
replacement part and accessory catalogs for my lathe and were very helpful
with all my questions.

Good Luck,

-Scot